curl --request POST \
--url https://api.unibee.dev/merchant/invoice/external_gateway_invoice/update_payment_link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalTransactionId": "<string>",
"invoiceId": "<string>",
"paymentLink": "<string>",
"signature": "<string>",
"timestamp": 123,
"gatewayId": 123,
"sendInvoice": true
}
'{
"code": 123,
"data": {
"invoiceId": "<string>",
"paymentLink": "<string>",
"status": "<string>"
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Update invoice payment link and optionally send email. Auth: OpenAPI + signature (HMAC-SHA256, hex).
curl --request POST \
--url https://api.unibee.dev/merchant/invoice/external_gateway_invoice/update_payment_link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalTransactionId": "<string>",
"invoiceId": "<string>",
"paymentLink": "<string>",
"signature": "<string>",
"timestamp": 123,
"gatewayId": 123,
"sendInvoice": true
}
'{
"code": 123,
"data": {
"invoiceId": "<string>",
"paymentLink": "<string>",
"status": "<string>"
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Update invoice payment link and optionally send email. Auth: OpenAPI + signature (HMAC-SHA256, hex).
External payment transaction id from gateway (for linking)
Invoice id
External payment/checkout url shown to user in invoice
HMAC-SHA256(gatewayKey, invoiceId|externalTransactionId|timestamp), hex
Request timestamp, UTC seconds, used for expiry check
Optional. External gateway id; omit to keep current gateway and use it for auth
Whether to (re)send invoice email after payment link is updated